com.hazelcast.concurrent.atomicreference.operations

## Class AtomicReferenceBackupAwareOperation

- java.lang.Object
- - com.hazelcast.spi.Operation
  - - com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation
    - - com.hazelcast.concurrent.atomicreference.operations.AtomicReferenceBackupAwareOperation

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, BackupAwareOperation, NamedOperation, PartitionAwareOperation
  Direct Known Subclasses:
    AbstractAlterOperation, CompareAndSetOperation, GetAndSetOperation, MergeOperation, SetAndGetOperation, SetOperation

      public abstract class AtomicReferenceBackupAwareOperation
      extends AbstractAtomicReferenceOperation
      implements BackupAwareOperation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `shouldBackup`

    - ### Fields inherited from class com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation

      `name`

    - ### Fields inherited from class com.hazelcast.spi.Operation

      `GENERIC_PARTITION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomicReferenceBackupAwareOperation()`
    `AtomicReferenceBackupAwareOperation(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAsyncBackupCount()` The asynchronous backup count.
    `int` | `getSyncBackupCount()` The synchronous backup count.
    `boolean` | `shouldBackup()` Checks if a backup needs to be made.

    - ### Methods inherited from class com.hazelcast.concurrent.atomicreference.operations.AbstractAtomicReferenceOperation

      `getFactoryId, getName, getReferenceContainer, getServiceName, readInternal, toString, writeInternal`

    - ### Methods inherited from class com.hazelcast.spi.Operation

      `afterRun, beforeRun, call, executedLocally, getCallerAddress, getCallerUuid, getCallId, getCallTimeout, getConnection, getInvocationTime, getLogger, getNodeEngine, getOperationResponseHandler, getPartitionId, getReplicaIndex, getResponse, getService, getWaitTimeout, isUrgent, logError, onExecutionFailure, onInvocationException, onSetCallId, readData, requiresExplicitServiceName, returnsResponse, run, sendResponse, setCallerUuid, setNodeEngine, setOperationResponseHandler, setPartitionId, setReplicaIndex, setService, setServiceName, setValidateTarget, setWaitTimeout, toString, validatesTarget, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.BackupAwareOperation

      `getBackupOperation`

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Field Detail

    - #### shouldBackup

          protected boolean shouldBackup

  - ### Constructor Detail

    - #### AtomicReferenceBackupAwareOperation

          public AtomicReferenceBackupAwareOperation()

    - #### AtomicReferenceBackupAwareOperation

          public AtomicReferenceBackupAwareOperation(String name)

  - ### Method Detail

    - #### shouldBackup

          public boolean shouldBackup()

      Description copied from interface: `BackupAwareOperation`
      Checks if a backup needs to be made.

      If a call has not made any change, e.g. an AtomicLong increment with 0, no backup needs to be made.
      Specified by:
        `shouldBackup` in interface `BackupAwareOperation`
      Returns:
        true if a backup needs to be made, false otherwise.

    - #### getSyncBackupCount

          public int getSyncBackupCount()

      Description copied from interface: `BackupAwareOperation`
      The synchronous backup count. If no backups need to be made, 0 is returned.
      Specified by:
        `getSyncBackupCount` in interface `BackupAwareOperation`
      Returns:
        the synchronous backup count.

    - #### getAsyncBackupCount

          public int getAsyncBackupCount()

      Description copied from interface: `BackupAwareOperation`
      The asynchronous backup count. If no asynchronous backups need to be made, 0 is returned.
      Specified by:
        `getAsyncBackupCount` in interface `BackupAwareOperation`
      Returns:
        the asynchronous backup count.

Copyright © 2020. All rights reserved.